%define	upstream_name	 Archive-Extract
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A generic archive extracting mechanism
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IPC::Cmd) >= 0.640.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Load::Conditional) >= 0.40.0
BuildRequires: perl(Params::Check) >= 0.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl-version
BuildArch:  noarch

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz, .Z,
tar.bz2, .tbz, .bz2 or .zip without having to worry how it does so, or use
different interfaces for each type by using either perl modules, or commandline
tools on your system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES META.yml README
%{perl_vendorlib}/Archive/*
%{_mandir}/*/*

%changelog
* Wed Apr 13 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 84235
- update to 0.50

* Wed Jan 19 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 24288
- fix specs
- imported package perl-Archive-Extract


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 630618
- update to new version 0.48

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.460.0-1mdv2011.0
+ Revision: 595072
- update to new version 0.46

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 0.440.0-1mdv2011.0
+ Revision: 585506
- New version 0.44

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2011.0
+ Revision: 552254
- update to 0.42

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.1
+ Revision: 487047
- update to 0.38

* Fri Nov 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.1
+ Revision: 470463
- update to 0.36

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.0
+ Revision: 408913
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2010.0
+ Revision: 390323
- update to new version 0.34

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2010.0
+ Revision: 386988
- update to new version 0.32

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 315097
- update to new version 0.30

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 292020
- update to new version 0.28

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.26-2mdv2009.0
+ Revision: 289341
- restore the spec file

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 159907
- update to new version 0.26

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2008.1
+ Revision: 98020
- update to new version 0.24
- update to new version 0.24

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2008.0
+ Revision: 42850
- Import perl-Archive-Extract




* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.22-1mdv2007.1
- initial package
